int i;
printf( "while\n" );
i = 0;
while i < 6 do
	printf( "%d\n", i );
	i++;
end
i = 0;
printf( "do\n" );
do
	printf( "%d\n", i );
	i++;
end
while i < 6;
printf( "for\n" );
for i = 0; i < 6; i++ do
	printf( "%d\n", i );
end
